Subject: Re: bug#1754: 23.0.60; tool-bar is shown with tool-bar-mode off

From: martin rudalics <[email-masked]>
Date: Wed, 14 Jan 2009 15:20:25 +0100

> The problem is that tool-bar-mode, and menu-bar-mode and too coarse:
> they offer no way for the user to say whether he wants it to apply to
> every single frame, or only to those currently displayed, or only the
> current one, or only those on the current terminal, ...

I was only talking about `window-system-default-frame-alist', a variable
which apparently has no provenience and not very clear semantics.  If I
ever used it, I'd not expect a mode toggling function reset it.  Note
also that things like `pop-up-frame-alist' (and - if we implement your
suggestion - `initial-frame-alist') are not affected by mode toggling.

martin